| Version: 3.0.1

- Main Page
- Related Pages
- Categories
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
wxFileDropTarget Class Referenceabstract
Clipboard and Drag & Drop

`#include <wx/dnd.h>`

Inheritance diagram for wxFileDropTarget:
[legend]

## Detailed Description

This is a drop target which accepts files (dragged from File Manager or Explorer).

##

Library: wxCore
Category: Clipboard and Drag & Drop

See Also
  Drag and Drop Overview, wxDropSource, wxDropTarget, wxTextDropTarget

## Public Member Functions

| wxFileDropTarget ()
| Constructor.
virtual bool | OnDrop (wxCoord x, wxCoord y)
| See wxDropTarget::OnDrop().
virtual bool | OnDropFiles (wxCoord x, wxCoord y, const wxArrayString &filenames)=0
| Override this function to receive dropped files.
Public Member Functions inherited from wxDropTarget
| wxDropTarget (wxDataObject *data=NULL)
| Constructor.
virtual | ~wxDropTarget ()
| Destructor.
virtual bool | GetData ()
| This method may only be called from within OnData().
virtual wxDragResult | OnData (wxCoord x, wxCoord y, wxDragResult defResult)=0
| Called after OnDrop() returns true.
virtual wxDragResult | OnDragOver (wxCoord x, wxCoord y, wxDragResult defResult)
| Called when the mouse is being dragged over the drop target.
virtual wxDragResult | OnEnter (wxCoord x, wxCoord y, wxDragResult defResult)
| Called when the mouse enters the drop target.
virtual void | OnLeave ()
| Called when the mouse leaves the drop target.
wxDataObject * | GetDataObject () const
| Returns the data wxDataObject associated with the drop target.
void | SetDataObject (wxDataObject *data)
| Sets the data wxDataObject associated with the drop target and deletes any previously associated data object.
void | SetDefaultAction (wxDragResult action)
| Sets the default action for drag and drop.
wxDragResult | GetDefaultAction ()
| Returns default action for drag and drop or wxDragNone if this not specified.

## Constructor & Destructor Documentation

wxFileDropTarget::wxFileDropTarget | ( |  | ) |

Constructor.

## Member Function Documentation

virtual bool wxFileDropTarget::OnDrop | ( | wxCoord | x,
|  | wxCoord | y
| ) |  |

virtual

See wxDropTarget::OnDrop().

This function is implemented appropriately for files, and calls OnDropFiles().

Reimplemented from wxDropTarget.

virtual bool wxFileDropTarget::OnDropFiles | ( | wxCoord | x,
|  | wxCoord | y,
|  | const wxArrayString & | filenames
| ) |  |

pure virtual

Override this function to receive dropped files.

Parameters

  x | The x coordinate of the mouse.
  y | The y coordinate of the mouse.
  filenames | An array of filenames.

Return true to accept the data, or false to veto the operation.